:is(header nav a), .animated-link {
    position: relative;
    color: var(--link-color);
    text-decoration: none;
      
    &:hover {
        color: var(--link-hover-color);
    }
      
    &:before {
        content: "";
        position: absolute;
        display: block;
        width: 100%;
        height: 2px;
        bottom: 0;
        left: 0;
        background-color: var(--underline-color);
        transform: scaleX(0);
        transition: transform 0.15s ease-in-out;
    }
      
    &:hover:before, &.underline:before {
        transform: scaleX(1);
    }
}

/* :is(header nav a), .animated-link {
    position: relative;
    box-decoration-break: clone;
    text-decoration: none;

    &:hover:after {
        transform: translateZ(0) scale(1);
    }

    &:after {
        left: 0;
        right: 0;
        bottom: -3px;
        content: "";
        height: 2px;
        position: absolute;
        transform: translateZ(0) scaleX(0);
        transform-origin: left center;
        transition: all .150s ease-in-out;
        background-image: linear-gradient(to right, theme('colors.text.link'), theme('colors.text.link'));
    }

    &(.show,:active):after {
        transform: translateZ(0) scale(1);
    }
} */